This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 3.220. __nv_log10f

Prototype:

    float @__nv_log10f(float %x)

Description:

Calculate the base 10 logarithm of the input argument `x`.

Returns:

- __nv_log10f( ± 0 ) returns − ∞ .

- __nv_log10f(1) returns +0.

- __nv_log10f(`x`) returns NaN for `x` < 0.

- __nv_log10f( + ∞ ) returns + ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes